<?php

namespace EventPortal\Http\Controllers\Admin\ActionList;

use EventPortal\Domain\ActionList\Models\Task;
use EventPortal\Http\Controllers\Controller;
use Illuminate\Http\RedirectResponse;
use Illuminate\Support\Facades\Auth;

class TaskToggleController extends Controller
{
    public function __invoke(Task $task): RedirectResponse
    {
        $task->toggle(Auth::user());
        return redirect()->back();
    }
}
